Package org.springframework.batch.core.listener

# Class ChunkListenerSupport

java.lang.Object
org.springframework.batch.core.listener.ChunkListenerSupport

All Implemented Interfaces:
  `ChunkListener`, `StepListener`

@Deprecated public class ChunkListenerSupport extends Object implements ChunkListener
Deprecated.
as of 5.0, in favor of the default methods on the `ChunkListener`
Basic support implementation of `ChunkListener`

Author:
  Lucas Ward, Michael Minella

- ## Field Summary

  ### Fields inherited from interface org.springframework.batch.core.ChunkListener

  `ROLLBACK_EXCEPTION_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChunkListenerSupport()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterChunk(ChunkContext context)`
  Deprecated.
  Callback after the chunk is executed, outside the transaction.
  `void`
  `afterChunkError(ChunkContext context)`
  Deprecated.
  Callback after a chunk has been marked for rollback.
  `void`
  `beforeChunk(ChunkContext context)`
  Deprecated.
  Callback before the chunk is executed, but inside the transaction.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChunkListenerSupport

    public ChunkListenerSupport()
    Deprecated.

- ## Method Details

  - ### afterChunk

    public void afterChunk(ChunkContext context)
    Deprecated.
    Description copied from interface: `ChunkListener`
    Callback after the chunk is executed, outside the transaction.
    Specified by:
      `afterChunk` in interface `ChunkListener`
    Parameters:
      `context` - The current `ChunkContext`

  - ### beforeChunk

    public void beforeChunk(ChunkContext context)
    Deprecated.
    Description copied from interface: `ChunkListener`
    Callback before the chunk is executed, but inside the transaction.
    Specified by:
      `beforeChunk` in interface `ChunkListener`
    Parameters:
      `context` - The current `ChunkContext`

  - ### afterChunkError

    public void afterChunkError(ChunkContext context)
    Deprecated.
    Description copied from interface: `ChunkListener`
    Callback after a chunk has been marked for rollback. It is invoked after transaction rollback. While the rollback will have occurred, transactional resources might still be active and accessible. Due to this, data access code within this callback will still "participate" in the original transaction unless it declares that it runs in its own transaction. Hence: Use PROPAGATION_REQUIRES_NEW for any transactional operation that is called from here.
    Specified by:
      `afterChunkError` in interface `ChunkListener`
    Parameters:
      `context` - the chunk context containing the exception that caused the underlying rollback.